package com.yihu.wlyy.entity.doctor.survey;

import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by Reece on 2017/3/10.
 */
@Entity
@Table(name = "wlyy_survey_template_questions")
public class SurveyTemplateQuestions extends IdEntity implements Serializable{
    //    问题编码
    private String code;
    //            问题标题
    private String title;
    //    问题说明（可为null）
    private String questionComment;
    //    问题类型（0单选 1多选 2问答）
    private Integer questionType;
    //    模板编码
    private String templateCode;
    //    是否必答（0否 1是）
    private Integer isRequired;
    //    最小答案个数（多选有效）
    private Integer minNum;
    //    最大答案个数（多选有效）
    private Integer maxNum;
    //            排序
    private Integer sort;
    //    下一题问题编码（问答题逻辑跳转）
    private String questionCodeNext;
    //    下一题问题编码（问答题逻辑跳转）
    private String questionSortNext;
    //    删除标志（1正常，0删除）
    private Integer del;
//创建时间
    private Date createTime;
//修改时间
    private Date updateTime;

    public SurveyTemplateQuestions() {
    }

    public SurveyTemplateQuestions(String code, String title, String questionComment, Integer questionType, String templateCode, Integer isRequired, Integer minNum, Integer maxNum, Integer sort, String questionCodeNext, String questionSortNext, Integer del, Date createTime, Date updateTime) {
        this.code = code;
        this.title = title;
        this.questionComment = questionComment;
        this.questionType = questionType;
        this.templateCode = templateCode;
        this.isRequired = isRequired;
        this.minNum = minNum;
        this.maxNum = maxNum;
        this.sort = sort;
        this.questionCodeNext = questionCodeNext;
        this.questionSortNext = questionSortNext;
        this.del = del;
        this.createTime = createTime;
        this.updateTime = updateTime;
    }

    public String getQuestionSortNext() {
        return questionSortNext;
    }

    public void setQuestionSortNext(String questionSortNext) {
        this.questionSortNext = questionSortNext;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getQuestionComment() {
        return questionComment;
    }

    public void setQuestionComment(String questionComment) {
        this.questionComment = questionComment;
    }

    public Integer getQuestionType() {
        return questionType;
    }

    public void setQuestionType(Integer questionType) {
        this.questionType = questionType;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public Integer getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Integer isRequired) {
        this.isRequired = isRequired;
    }

    public Integer getMinNum() {
        return minNum;
    }

    public void setMinNum(Integer minNum) {
        this.minNum = minNum;
    }

    public Integer getMaxNum() {
        return maxNum;
    }

    public void setMaxNum(Integer maxNum) {
        this.maxNum = maxNum;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getQuestionCodeNext() {
        return questionCodeNext;
    }

    public void setQuestionCodeNext(String questionCodeNext) {
        this.questionCodeNext = questionCodeNext;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
